Skip to main content

GET /packaging-types

List default/catalog packaging types and company custom boxes for the organization tied to the API key.

Scope: (none — any valid public-api key)

Request body

None.

Success response (200)

Returns a JSON array in data (not wrapped in a property). Internal fields are removed (pk, sk, companyId, entityType).

{
"data": [
{
"id": "b8eead89-72c6-45cb-9c98-d606844b9br6",
"code": "CP_BOX_MEDIUM",
"name": "CP Box Medium",
"categoryName": "CP",
"carrierId": "canada-post",
"isEnvelope": false,
"dimensions": {
"length": { "isFixed": true, "value": { "metric": 39, "imperial": 15.354 } },
"width": { "isFixed": true, "value": { "metric": 26, "imperial": 10.236 } },
"height": { "isFixed": true, "value": { "metric": 12, "imperial": 4.724 } }
}
},
{
"id": "e2aa23cd-b3cb-40fd-88d2-0c96c6b586c0",
"code": "GENERIC_BOX",
"name": "isslem's box",
"categoryName": "Generic",
"carrierId": null,
"isEnvelope": false,
"isDefault": false,
"isMetric": true,
"width": 2,
"height": 2,
"length": 2,
"weight": 2,
"dimensions": {
"length": { "isFixed": true, "value": { "metric": 2, "imperial": null } },
"width": { "isFixed": true, "value": { "metric": 2, "imperial": null } },
"height": { "isFixed": true, "value": { "metric": 2, "imperial": null } }
},
"createdDate": "2025-12-05T15:05:28.650Z"
}
]
}
Entry typeHow to identify in responseUse on Rate as
Catalog / carrier defaultNo createdDate from your org; categoryName is not Generic (e.g. CP, FedEx)packagingType string = code (e.g. "FEDEX_PAK")
Company custom boxcategoryName = "Generic"packagingType string = id (UUID)

Results are ordered defaults first, then company custom boxes.

Error responses

HTTPCondition
401Missing/invalid/expired API key
500Internal error